Subject: [PATCH v6 1/2] mfd: Add anatop mfd driver

From: [email-masked] (Ying-Chun Liu (PaulLiu))
Date: Fri, 02 Mar 2012 15:51:55 +0800

(2012?03?02? 15:07), Venu Byravarasu wrote:
> Why you did not made use of regmap?
> 

Hi Venu,

I cannot fully understand. Anatop is not SPI or I2C device. It is
internally embedded into the SoC. It is directly accessed by memory I/O.

Do you mean I should implement a regmap_bus which uses memory I/O and
then use regmap?

Regards,
Paul

>> -----Original Message-----
>> From: linux-kernel-owner at vger.kernel.org [mailto:linux-kernel-
>> owner at vger.kernel.org] On Behalf Of Ying-Chun Liu (PaulLiu)
>> Sent: Friday, March 02, 2012 12:31 PM
>> To: linux-arm-kernel at lists.infradead.org
>> Cc: linux-kernel at vger.kernel.org; linaro-dev at lists.linaro.org;
>> patches at linaro.org; Ying-Chun Liu (PaulLiu); Samuel Ortiz; Mark Brown; Shawn
>> Guo
>> Subject: [PATCH v6 1/2] mfd: Add anatop mfd driver
>>
>> From: "Ying-Chun Liu (PaulLiu)" <[email-masked]>
>>
>> Anatop is a mfd chip embedded in Freescale i.MX6Q SoC.
>> Anatop provides regulators and thermal.
>> This driver handles the address space and the operation of the mfd device.
>>
>> Signed-off-by: Ying-Chun Liu (PaulLiu) <[email-masked]>
>> Cc: Samuel Ortiz <[email-masked]>
>> Cc: Mark Brown <[email-masked]>
>> Cc: Shawn Guo <[email-masked]>
>> ---
>>  drivers/mfd/Kconfig        |    6 ++